Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Parameters

name
string
required
The name of the distillery.
location
string
required
The location in which the distillery resides or operates out of.
founded
string
required
The year the distillery was founded.
website
string
required
The web address of the distillery.
locked
boolean
Determines if the distillery is able to have its information changed.
producer_id
string
ID of the producer that this distillery falls under.

Returns

Returns the newly created Distillery object if the request was successful, otherwise it returns an error message.
  curl -X POST https://api.onlydrams.app/api/v1/distilleries \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer $ACCESS_TOKEN" \
       -d '{
            "distillery": {
              "name": "Sample Distillery",
              "location": "Sample Location",
              "founded": "2023",
              "website": "https://sampledistillery.com",
              "locked": false
            }
          }'
{
	"id": "8adc7c69-4d33-488c-b73c-e03ac91d6472",
	"name": "Sample Distillery",
	"founded": "2023",
	"location": "Sample Location",
	"website": "https://sampledistillery.com",
	"logo_url": null,
	"company": {
		"id": "Unknown",
		"name": "Unknown"
	},
	"bottles": [],
	"bottleCount": 0
}